FROM docker.io/hugomods/hugo:latest AS build
WORKDIR /src
COPY . .
RUN git submodule update --init --recursive --progress
ARG HUGO_ENV=production
ENV HUGO_ENV=${HUGO_ENV}
RUN hugo --environment $HUGO_ENV --minify

FROM nginx:alpine
COPY --from=build /src/public /usr/share/nginx/html